You are here

PSoC Express is Obsoleted. | Cypress Semiconductor

Support & Community

PSoC Express is Obsoleted.

Last Updated: November 28, 2013

Why is PSoC Express Obsoleted ?


PSoC Express has the following limitations

1.  The system  load in all configurations even though all of them are not being used. This makes the Flash usage ineffecient.

2. Minor modifications are also not possible to the existing, only the available features can be used.

PSoC Designer provides Chip Level Design archiecture which gives lot of configurability. The memory usage is also optimized as the memory is allocated only for that particular user module configuration and the related APIs used. Chip Level Design  provides lot of APIs hence making the firmware development easy also code optimization through condensation and sublimation is possible.


Note: Sytem level Design is no longer supported in the PSoC Designer versions released after 5.1 SP1. 

Knowledge Base Tags: 

Provide feedback on this article

Browse KB By Product

Browse KB by Type